--- title: "Get attribute mapper" slug: "get-attribute-mapper" updated: 2026-09-17T10:05:38Z published: 2026-09-17T10:05:38Z canonical: "api.ncloud-docs.com/get-attribute-mapper" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get attribute mapper Available in Classic and VPC Get an attribute mapper. Note For information on how to connect user attribute information from the Ncloud Single Sign-On service with user attribute information set in other services such as AWS and OneLogin, see the Ncloud Single Sign-On user guide. - [Manage user profile](https://guide.ncloud-docs.com/docs/en/sso-tenant#%EC%82%AC%EC%9A%A9%EC%9E%90-profile-%EA%B4%80%EB%A6%AC) - How to set attribute mapper by service - [AWS](https://guide.ncloud-docs.com/docs/en/sso-aws) - [OneLogin](https://guide.ncloud-docs.com/docs/en/sso-onelogin) - [Okta](https://guide.ncloud-docs.com/docs/en/sso-okta) - [Keycloak](https://guide.ncloud-docs.com/docs/en/sso-keycloak) - [Microsoft Entra ID](https://guide.ncloud-docs.com/docs/en/sso-entraid) ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/tenant/saml-idp/profile-mapping | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/tenant/saml-idp/profile-mapping' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `firstName` | Object | - | Name information | | `firstName.displayName` | String | - | User profile name displayed in the **Manage user profile** page in the **Ncloud Single Sign-On > Tenant** menu in the NAVER Cloud Platform console | | `firstName.syncMode` | String | - | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `firstName.idpValue` | String | - | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - If there is no attribute to be passed, an empty string `""` is displayed | | `lastName` | Object | - | Last name information | | `lastName.displayName` | String | - | User profile name displayed in the **Manage user profile** page in the **Ncloud Single Sign-On > Tenant** menu in the NAVER Cloud Platform console | | `lastName.syncMode` | String | - | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `lastName.idpValue` | String | - | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - If there is no attribute to be passed, an empty string `""` is displayed | | `email` | Object | - | Email information | | `email.displayName` | String | - | User profile name displayed in the **Manage user profile** page in the **Ncloud Single Sign-On > Tenant** menu in the NAVER Cloud Platform console | | `email.syncMode` | String | - | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `email.idpValue` | String | - | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - If there is no attribute to be passed, an empty string `""` is displayed | | `emailVerified` | Object | - | Email verification information | | `emailVerified.displayName` | String | - | User profile name displayed in the **Manage user profile** page in the **Ncloud Single Sign-On > Tenant** menu in the NAVER Cloud Platform console | | `emailVerified.syncMode` | String | - | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `emailVerified.idpValue` | String | - | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - If there is no attribute to be passed, an empty string `""` is displayed | | `empNo` | Object | - | Employee number information | | `empNo.displayName` | String | - | User profile name displayed in the **Manage user profile** page in the **Ncloud Single Sign-On > Tenant** menu in the NAVER Cloud Platform console | | `empNo.syncMode` | String | - | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `empNo.idpValue` | String | - | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - If there is no attribute to be passed, an empty string `""` is displayed | | `phoneNo` | Object | - | Mobile phone number information | | `phoneNo.displayName` | String | - | User profile name displayed in the **Manage user profile** page in the **Ncloud Single Sign-On > Tenant** menu in the NAVER Cloud Platform console | | `phoneNo.syncMode` | String | - | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `phoneNo.idpValue` | String | - | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - If there is no attribute to be passed, an empty string `""` is displayed | | `phoneNoVerified` | Object | - | Mobile phone number verification information | | `phoneNoVerified.displayName` | String | - | User profile name displayed in the **Manage user profile** page in the **Ncloud Single Sign-On > Tenant** menu in the NAVER Cloud Platform console | | `phoneNoVerified.syncMode` | String | - | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `phoneNoVerified.idpValue` | String | - | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - If there is no attribute to be passed, an empty string `""` is displayed | | `phoneCountryCode` | Object | - | Country code information | | `phoneCountryCode.displayName` | String | - | User profile name displayed in the **Manage user profile** page in the **Ncloud Single Sign-On > Tenant** menu in the NAVER Cloud Platform console | | `phoneCountryCode.syncMode` | String | - | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `phoneCountryCode.idpValue` | String | - | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - If there is no attribute to be passed, an empty string `""` is displayed | | `deptName` | Object | - | Department Information | | `deptName.displayName` | String | - | User profile name displayed in the **Manage user profile** page in the **Ncloud Single Sign-On > Tenant** menu in the NAVER Cloud Platform console | | `deptName.syncMode` | String | - | Attribute information update policy - `none` \| `import` \| `force` - `none`: no update - `import`: update only upon initial login - `force`: update on each login | | `deptName.idpValue` | String | - | Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform - If there is no attribute to be passed, an empty string `""` is displayed | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "firstName": { "displayName": "First Name", "syncMode": "import", "idpValue": "${user:givenName}" }, "lastName": { "displayName": "Last Name", "syncMode": "import", "idpValue": "${user:familyName}" }, "email": { "displayName": "Email", "syncMode": "import", "idpValue": "${user:email}" }, "emailVerified": { "displayName": "Email Verified", "syncMode": "import", "idpValue": "" }, "empNo": { "displayName": "Employee Number", "syncMode": "import", "idpValue": "" }, "phoneNo": { "displayName": "Phone Number", "syncMode": "import", "idpValue": "" }, "phoneNoVerified": { "displayName": "Phone Number Verified", "syncMode": "import", "idpValue": "" }, "phoneCountryCode": { "displayName": "Phone Country Code", "syncMode": "import", "idpValue": "" }, "deptName": { "displayName": "Department", "syncMode": "import", "idpValue": "" } } ```